Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.2.240.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
47.2.240.0
Broadcast address
47.2.255.255
First usable
47.2.240.1
Last usable
47.2.255.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 2F02F000 · Integer 788721664 to 788725759
Reverse DNS zones
240.2.47.in-addr.arpa
241.2.47.in-addr.arpa
242.2.47.in-addr.arpa
243.2.47.in-addr.arpa
244.2.47.in-addr.arpa
245.2.47.in-addr.arpa
246.2.47.in-addr.arpa
247.2.47.in-addr.arpa
248.2.47.in-addr.arpa
249.2.47.in-addr.arpa
250.2.47.in-addr.arpa
251.2.47.in-addr.arpa
252.2.47.in-addr.arpa
253.2.47.in-addr.arpa
254.2.47.in-addr.arpa
255.2.47.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111.00000010.11110000.0000000047.2.240.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00101111.00000010.11110000.0000000047.2.240.0
Broadcast00101111.00000010.11111111.1111111147.2.255.255
Split into smaller subnets/26

47.2.240.0/20 makes 64 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.2.240.0/2647.2.240.1 to 47.2.240.6247.2.240.6362
247.2.240.64/2647.2.240.65 to 47.2.240.12647.2.240.12762
347.2.240.128/2647.2.240.129 to 47.2.240.19047.2.240.19162
447.2.240.192/2647.2.240.193 to 47.2.240.25447.2.240.25562
547.2.241.0/2647.2.241.1 to 47.2.241.6247.2.241.6362
647.2.241.64/2647.2.241.65 to 47.2.241.12647.2.241.12762
747.2.241.128/2647.2.241.129 to 47.2.241.19047.2.241.19162
847.2.241.192/2647.2.241.193 to 47.2.241.25447.2.241.25562
947.2.242.0/2647.2.242.1 to 47.2.242.6247.2.242.6362
1047.2.242.64/2647.2.242.65 to 47.2.242.12647.2.242.12762
1147.2.242.128/2647.2.242.129 to 47.2.242.19047.2.242.19162
1247.2.242.192/2647.2.242.193 to 47.2.242.25447.2.242.25562
1347.2.243.0/2647.2.243.1 to 47.2.243.6247.2.243.6362
1447.2.243.64/2647.2.243.65 to 47.2.243.12647.2.243.12762
1547.2.243.128/2647.2.243.129 to 47.2.243.19047.2.243.19162
1647.2.243.192/2647.2.243.193 to 47.2.243.25447.2.243.25562
1747.2.244.0/2647.2.244.1 to 47.2.244.6247.2.244.6362
1847.2.244.64/2647.2.244.65 to 47.2.244.12647.2.244.12762
1947.2.244.128/2647.2.244.129 to 47.2.244.19047.2.244.19162
2047.2.244.192/2647.2.244.193 to 47.2.244.25447.2.244.25562
2147.2.245.0/2647.2.245.1 to 47.2.245.6247.2.245.6362
2247.2.245.64/2647.2.245.65 to 47.2.245.12647.2.245.12762
2347.2.245.128/2647.2.245.129 to 47.2.245.19047.2.245.19162
2447.2.245.192/2647.2.245.193 to 47.2.245.25447.2.245.25562
2547.2.246.0/2647.2.246.1 to 47.2.246.6247.2.246.6362
2647.2.246.64/2647.2.246.65 to 47.2.246.12647.2.246.12762
2747.2.246.128/2647.2.246.129 to 47.2.246.19047.2.246.19162
2847.2.246.192/2647.2.246.193 to 47.2.246.25447.2.246.25562
2947.2.247.0/2647.2.247.1 to 47.2.247.6247.2.247.6362
3047.2.247.64/2647.2.247.65 to 47.2.247.12647.2.247.12762
3147.2.247.128/2647.2.247.129 to 47.2.247.19047.2.247.19162
3247.2.247.192/2647.2.247.193 to 47.2.247.25447.2.247.25562
3347.2.248.0/2647.2.248.1 to 47.2.248.6247.2.248.6362
3447.2.248.64/2647.2.248.65 to 47.2.248.12647.2.248.12762
3547.2.248.128/2647.2.248.129 to 47.2.248.19047.2.248.19162
3647.2.248.192/2647.2.248.193 to 47.2.248.25447.2.248.25562
3747.2.249.0/2647.2.249.1 to 47.2.249.6247.2.249.6362
3847.2.249.64/2647.2.249.65 to 47.2.249.12647.2.249.12762
3947.2.249.128/2647.2.249.129 to 47.2.249.19047.2.249.19162
4047.2.249.192/2647.2.249.193 to 47.2.249.25447.2.249.25562
4147.2.250.0/2647.2.250.1 to 47.2.250.6247.2.250.6362
4247.2.250.64/2647.2.250.65 to 47.2.250.12647.2.250.12762
4347.2.250.128/2647.2.250.129 to 47.2.250.19047.2.250.19162
4447.2.250.192/2647.2.250.193 to 47.2.250.25447.2.250.25562
4547.2.251.0/2647.2.251.1 to 47.2.251.6247.2.251.6362
4647.2.251.64/2647.2.251.65 to 47.2.251.12647.2.251.12762
4747.2.251.128/2647.2.251.129 to 47.2.251.19047.2.251.19162
4847.2.251.192/2647.2.251.193 to 47.2.251.25447.2.251.25562
4947.2.252.0/2647.2.252.1 to 47.2.252.6247.2.252.6362
5047.2.252.64/2647.2.252.65 to 47.2.252.12647.2.252.12762
5147.2.252.128/2647.2.252.129 to 47.2.252.19047.2.252.19162
5247.2.252.192/2647.2.252.193 to 47.2.252.25447.2.252.25562
5347.2.253.0/2647.2.253.1 to 47.2.253.6247.2.253.6362
5447.2.253.64/2647.2.253.65 to 47.2.253.12647.2.253.12762
5547.2.253.128/2647.2.253.129 to 47.2.253.19047.2.253.19162
5647.2.253.192/2647.2.253.193 to 47.2.253.25447.2.253.25562
5747.2.254.0/2647.2.254.1 to 47.2.254.6247.2.254.6362
5847.2.254.64/2647.2.254.65 to 47.2.254.12647.2.254.12762
5947.2.254.128/2647.2.254.129 to 47.2.254.19047.2.254.19162
6047.2.254.192/2647.2.254.193 to 47.2.254.25447.2.254.25562
6147.2.255.0/2647.2.255.1 to 47.2.255.6247.2.255.6362
6247.2.255.64/2647.2.255.65 to 47.2.255.12647.2.255.12762
6347.2.255.128/2647.2.255.129 to 47.2.255.19047.2.255.19162
6447.2.255.192/2647.2.255.193 to 47.2.255.25447.2.255.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses